- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Format\ProgressableInterface

interface ProgressableInterface implements EventEmitterInterface

## Methods

array | createProgressListener(MediaTypeInterface $media, FFProbe $ffprobe, Integer $pass, Integer $total) Creates the progress listener. |

## Details

###
at line 30
`public array createProgressListener(MediaTypeInterface $media, FFProbe $ffprobe, Integer $pass, Integer $total)`

Creates the progress listener.

#### Parameters

MediaTypeInterface | $media |
FFProbe | $ffprobe |
Integer | $pass | The current pas snumber
Integer | $total | The total pass number

#### Return Value

array | An array of listeners